interface IconProps {
  size: number
  isVisible: boolean
  isDisabled?: boolean
}

export const VisibilityIcon = ({
  size,
  isVisible,
  isDisabled = false,
}: IconProps) => {
  const color = isDisabled ? 'lightGray' : '#1C1B1F'

  return isVisible ? (
    <svg
      width={size}
      viewBox="0 0 18 13"
      fill="none"
      xmlns="http://www.w3.org/2000/svg"
    >
      <path
        d="M9.00097 10C9.95964 10 10.7723 9.66667 11.439 9C12.1056 8.33333 12.439 7.52067 12.439 6.562C12.439 5.604 12.1056 4.79167 11.439 4.125C10.7723 3.45833 9.95964 3.125 9.00097 3.125C8.0423 3.125 7.22963 3.45833 6.56297 4.125C5.8963 4.79167 5.56297 5.604 5.56297 6.562C5.56297 7.52067 5.8963 8.33333 6.56297 9C7.22963 9.66667 8.0423 10 9.00097 10ZM9.00097 8.812C8.37564 8.812 7.8443 8.59333 7.40697 8.156C6.96964 7.71867 6.75097 7.18733 6.75097 6.562C6.75097 5.93733 6.96964 5.40633 7.40697 4.969C7.8443 4.531 8.37564 4.312 9.00097 4.312C9.6263 4.312 10.1576 4.531 10.595 4.969C11.0323 5.40633 11.251 5.93733 11.251 6.562C11.251 7.18733 11.0323 7.71867 10.595 8.156C10.1576 8.59333 9.6263 8.812 9.00097 8.812ZM9.00097 12.417C7.0703 12.417 5.3203 11.8857 3.75097 10.823C2.18164 9.76033 1.02897 8.34 0.292969 6.562C1.02897 4.79867 2.18497 3.389 3.76097 2.333C5.33764 1.27767 7.0843 0.75 9.00097 0.75C10.9176 0.75 12.6643 1.27767 14.241 2.333C15.817 3.389 16.973 4.79867 17.709 6.562C16.973 8.34 15.8203 9.76033 14.251 10.823C12.6816 11.8857 10.9316 12.417 9.00097 12.417ZM9.00097 11.083C10.5563 11.083 11.9833 10.677 13.282 9.865C14.5806 9.05233 15.5703 7.95133 16.251 6.562C15.5703 5.17333 14.5806 4.07967 13.282 3.281C11.9833 2.48233 10.5563 2.083 9.00097 2.083C7.44564 2.083 6.01497 2.48233 4.70897 3.281C3.40364 4.07967 2.41064 5.17333 1.72997 6.562C2.41064 7.95133 3.40364 9.05233 4.70897 9.865C6.01497 10.677 7.44564 11.083 9.00097 11.083Z"
        fill={color}
      />
    </svg>
  ) : (
    <svg
      width={size}
      viewBox="0 0 19 17"
      fill="none"
      xmlns="http://www.w3.org/2000/svg"
    >
      <path
        d="M12.7432 9.02782L11.7432 8.02782C11.7985 7.31982 11.5728 6.71916 11.0662 6.22582C10.5588 5.73249 9.97182 5.52049 9.30516 5.58982L8.30516 4.58982C8.49982 4.53449 8.69449 4.48949 8.88916 4.45482C9.08382 4.42016 9.28516 4.40282 9.49316 4.40282C10.4518 4.40282 11.2645 4.73616 11.9312 5.40282C12.5978 6.06949 12.9312 6.88182 12.9312 7.83982C12.9312 8.07649 12.9135 8.29882 12.8782 8.50682C12.8435 8.71549 12.7985 8.88916 12.7432 9.02782ZM15.3682 11.6108L14.4102 10.6948C14.9102 10.3055 15.3545 9.88182 15.7432 9.42382C16.1318 8.96516 16.4652 8.43716 16.7432 7.83982C16.0625 6.45116 15.0765 5.35749 13.7852 4.55882C12.4932 3.76016 11.0625 3.36082 9.49316 3.36082C9.09049 3.36082 8.71882 3.38516 8.37816 3.43382C8.03816 3.48249 7.70149 3.55549 7.36816 3.65282L6.30516 2.58982C6.83316 2.38182 7.36116 2.23616 7.88916 2.15282C8.41716 2.06949 8.95182 2.02782 9.49316 2.02782C11.4518 2.02782 13.2192 2.55916 14.7952 3.62182C16.3718 4.68449 17.5072 6.09049 18.2012 7.83982C17.8958 8.59049 17.5035 9.28149 17.0242 9.91282C16.5448 10.5448 15.9928 11.1108 15.3682 11.6108ZM15.8472 16.5278L12.5142 13.1738C12.0975 13.3405 11.6322 13.4688 11.1182 13.5588C10.6042 13.6495 10.0625 13.6948 9.49316 13.6948C7.52116 13.6948 5.75382 13.1565 4.19116 12.0798C2.62849 11.0038 1.49316 9.59049 0.785156 7.83982C1.07649 7.11782 1.46516 6.44449 1.95116 5.81982C2.43782 5.19449 2.96582 4.65282 3.53516 4.19482L1.22216 1.88182L2.18116 0.944824L16.8052 15.5898L15.8472 16.5278ZM4.43116 5.08982C4.00049 5.43716 3.58716 5.84716 3.19116 6.31982C2.79516 6.79182 2.47216 7.29849 2.22216 7.83982C2.90282 9.22916 3.88916 10.3302 5.18116 11.1428C6.47249 11.9548 7.90982 12.3608 9.49316 12.3608C9.82649 12.3608 10.1772 12.3365 10.5452 12.2878C10.9132 12.2398 11.2085 12.1738 11.4312 12.0898L10.4722 11.1318C10.3475 11.1738 10.1948 11.2085 10.0142 11.2358C9.83349 11.2638 9.65982 11.2778 9.49316 11.2778C8.53449 11.2778 7.72182 10.9445 7.05516 10.2778C6.38849 9.61116 6.05516 8.79849 6.05516 7.83982C6.05516 7.68716 6.07282 7.52416 6.10816 7.35082C6.14282 7.17682 6.18082 7.02049 6.22216 6.88182L4.43116 5.08982Z"
        fill={color}
      />
    </svg>
  )
}
